$Id: README 94654 2011-10-07 09:17:20Z msmit $

This directory contains programs for measuring performance/priority
inversions for the single server endpoint scenario (described below).

Server, which has a single endpoint,
creates a Test object and exports its ior.  Client runs the specified
number of threads at specified priorities (see command line arguments
description below), with the threads concurrently invoking an
operation on an ior exported by the server.

See run-test.pl for a sample run.  (Perl script starts a server, and
then runs a client with 5 low-priority threads and one high-priority thread).


Command Line Arguments
**********************

server

-o <ior_output_file>      Name of the file where to store IOR of the server.

client

-i <ior>                  IOR of the object to use for invocations.

-n <number of iterations> Number of invocations each thread must
                          perform on the object.

-p <period>               Period with which invocations should be made.

-t <corba_priority>       Specify a corba priority of a a client
                          thread to run.  This option can be used
                          multiple times in order to specify the
                          number of threads in the client and their priorities.
